"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRepresentation = void 0;
const formatString_js_1 = require("./formatString.js");
function getRepresentation(value, type, options) {
    if (type === 'Boolean') {
        return value.toString();
    }
    if (type === 'Number') {
        return value.toString();
    }
    if (type === 'String') {
        return (0, formatString_js_1.formatString)(value.toString(), options);
    }
    if (type === 'RegExp') {
        return value.toString();
    }
    if (type === 'Date') {
        const iso = value.toISOString();
        if (iso.endsWith('T00:00:00.000Z')) {
            return iso.slice(0, -14);
        }
        if (iso.endsWith('.000Z')) {
            return `${iso.slice(0, -5)}Z`;
        }
        return iso;
    }
}
exports.getRepresentation = getRepresentation;
//# sourceMappingURL=getRepresentation.js.map