"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.a = void 0;
const expect_js_1 = require("../../expect.js");
(0, expect_js_1.registerMatcher)('a', a, (type) => `a(${type.name})`);
function a(type) {
    return (value) => {
        if (type === String) {
            return typeof value === 'string';
        }
        if (type === Number) {
            return typeof value === 'number' && !Number.isNaN(value);
        }
        if (type === Boolean) {
            return typeof value === 'boolean';
        }
        if (type === BigInt) {
            return typeof value === 'bigint';
        }
        if (type === Function) {
            return typeof value === 'function';
        }
        if (type === Object) {
            return typeof value === 'object' && value !== null;
        }
        if (type === Symbol) {
            return typeof value === 'symbol';
        }
        if (type === Array) {
            return Array.isArray(value);
        }
        return value instanceof type;
    };
}
exports.a = a;
//# sourceMappingURL=a.js.map