declare module '../../expect.js' {
    interface Matchers {
        /**
         * Matches numbers that are integers.
         *
         * Works for both numbers and bigints.
         *
         * If you want to match a top level value, use `expect(...).toBeAnInteger()`
         * instead.
         *
         * @example
         * ```ts
         * const counts = getParticleCounts()
         * expect(counts).toEqual({
         *   min: 0,
         *   max: expect.integer(),
         *   median: expect.integer(),
         * })
         * ```
         */
        integer(): never;
    }
}
export declare function integer(): (value: unknown) => boolean;
//# sourceMappingURL=integer.d.ts.map