import type { Control } from '../../Control.js';
declare module '../../expect.js' {
    interface Validators<T> {
        /**
         * Asserts that a value is truthy, as defined by:
         * https://developer.mozilla.org/en-US/docs/Glossary/Truthy
         *
         * You can also use its sister validator, `toBeFalsy`, to match the
         * opposite.
         *
         * If you want to match a nested value, use the matcher `expect.truthy()`
         * instead.
         *
         * @example
         * ```ts
         * expect(1).toBeTruthy()
         * expect('foo').toBeTruthy()
         * expect(true).toBeTruthy()
         * expect({ x: 1, y: 2 }).toBeTruthy()
         *
         * expect(0).not.toBeTruthy()
         * expect('').not.toBeTruthy()
         * expect(false).not.toBeTruthy()
         * expect(null).not.toBeTruthy()
         * ```
         */
        toBeTruthy(): void;
    }
}
export declare function toBeTruthy(control: Control): void;
//# sourceMappingURL=toBeTruthy.d.ts.map