import type { Control } from '../../Control.js';
declare module '../../expect.js' {
    interface Validators<T> {
        /**
         * Asserts that the value is a string matching the given regular expression.
         *
         * If you want to match a nested value, use the matcher
         * `expect.regex(regex)` instead.
         *
         * @param regex - The regular expression to test the matched values.
         *
         * @example
         * ```ts
         * expect('I like pancakes').toMatchRegex(/like/)
         *
         * expect('foo').not.toMatchRegex(/^d+$/)
         * ```
         */
        toMatchRegex(this: Validators<string>, regex: RegExp): void;
    }
}
export declare function toMatchRegex(control: Control, expected: RegExp): void;
//# sourceMappingURL=toMatchRegex.d.ts.map