import type { Control } from '../../Control.js';
declare module '../../expect.js' {
    interface Validators<T> {
        /**
         * Asserts that a value is an integer or a bigint.
         *
         * You can also check that the integer is within the safe range of values by
         * using `expect(...).toBeASafeInteger()`
         *
         * If you want to match a nested value, use the matcher `expect.integer()`
         * instead.
         *
         * @example
         * ```ts
         * expect(100).toBeAnInteger()
         * expect(100n).toBeAnInteger()
         *
         * expect(100.5).not.toBeAnInteger()
         * ```
         */
        toBeAnInteger(this: Validators<number | bigint>): void;
    }
}
export declare function toBeAnInteger(control: Control): void;
//# sourceMappingURL=toBeAnInteger.d.ts.map