"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseSnapshot = exports.formatSnapshot = void 0;
function formatSnapshot(snapshot) {
    return Object.entries(snapshot)
        .map(([name, value]) => `// ${name}\n\n${value}\n`)
        .join('\n');
}
exports.formatSnapshot = formatSnapshot;
function parseSnapshot(snapshot) {
    const result = {};
    let name;
    let value = '';
    for (const line of snapshot.split('\n')) {
        if (line.startsWith('// ')) {
            if (name) {
                result[name] = value.slice(1, -2);
            }
            name = line.slice(3);
            value = '';
        }
        else {
            value += `${line}\n`;
        }
    }
    if (name) {
        result[name] = value.slice(1, -2);
    }
    return result;
}
exports.parseSnapshot = parseSnapshot;
//# sourceMappingURL=format.js.map