interface AssertionErrorOptions {
    message: string;
    stack: string;
    actual?: string;
    expected?: string;
}
/**
 * Assertion error containing optional info about actual / expected value which
 * can be used by test runners like Mocha to pretty print.
 */
export declare class AssertionError extends Error {
    actual?: string;
    expected?: string;
    constructor(options: AssertionErrorOptions);
    static getLocation(name: string): {
        file: () => string | undefined;
        stack: () => string;
    };
}
export {};
//# sourceMappingURL=AssertionError.d.ts.map