import { formatString } from './formatString.js';
export function getRepresentation(value, type, options) {
    if (type === 'Boolean') {
        return value.toString();
    }
    if (type === 'Number') {
        return value.toString();
    }
    if (type === 'String') {
        return formatString(value.toString(), options);
    }
    if (type === 'RegExp') {
        return value.toString();
    }
    if (type === 'Date') {
        const iso = value.toISOString();
        if (iso.endsWith('T00:00:00.000Z')) {
            return iso.slice(0, -14);
        }
        if (iso.endsWith('.000Z')) {
            return `${iso.slice(0, -5)}Z`;
        }
        return iso;
    }
}
//# sourceMappingURL=getRepresentation.js.map