declare module '../../expect.js' {
    interface Matchers {
        /**
         * Matches strings, arrays, sets and maps that aren't empty.
         *
         * If you want to match a top level value, use `expect(...).not.toBeEmpty()`
         * instead.
         *
         * @example
         * ```ts
         * const happyGuy = await people.findWhere({ friendCount: 42 })
         * expect(happyGuy).toEqual({
         *   name: 'John Doe',
         *   friends: expect.notEmpty(),
         * })
         * ```
         */
        notEmpty(): never;
    }
}
export declare function notEmpty(): (value: unknown) => boolean;
//# sourceMappingURL=notEmpty.d.ts.map