import { registerValidator } from '../../expect.js';
import { formatCompact } from '../../format/index.js';
import { length } from '../../matchers/objects/length.js';
registerValidator('toHaveLength', toHaveLength);
export function toHaveLength(control, expected) {
    const actualInline = formatCompact(control.actual);
    const expectedInline = formatCompact(expected);
    control.assert({
        success: length(expected)(control.actual),
        reason: `The value ${actualInline} does not have length ${expectedInline}, but it was expected to.`,
        negatedReason: `The value ${actualInline} has length ${expectedInline}, but it was expected not to.`,
        actual: getLength(control.actual),
        expected: expected,
    });
}
function getLength(value) {
    try {
        // biome-ignore lint/suspicious/noExplicitAny: any is required here
        return value.length;
    }
    catch {
        return undefined;
    }
}
//# sourceMappingURL=toHaveLength.js.map